%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate publicsuffix

Name:           rust-publicsuffix
Version:        2.2.3
Release:    1%{?dist}
Summary:        Extract root domain and suffix from a domain name

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/publicsuffix
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Extract root domain and suffix from a domain name.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/LICENSE-APACHE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+anycase-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+anycase-devel %{_description}

This package contains library source intended for building other packages which
use the "anycase" feature of the "%{crate}" crate.

%files       -n %{name}+anycase-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hashbrown-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hashbrown-devel %{_description}

This package contains library source intended for building other packages which
use the "hashbrown" feature of the "%{crate}" crate.

%files       -n %{name}+hashbrown-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+idna-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+idna-devel %{_description}

This package contains library source intended for building other packages which
use the "idna" feature of the "%{crate}" crate.

%files       -n %{name}+idna-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+punycode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+punycode-devel %{_description}

This package contains library source intended for building other packages which
use the "punycode" feature of the "%{crate}" crate.

%files       -n %{name}+punycode-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicase-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicase-devel %{_description}

This package contains library source intended for building other packages which
use the "unicase" feature of the "%{crate}" crate.

%files       -n %{name}+unicase-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.3-1
- initial build
